Bug 508430 - Openoffice.org Writer Crashes X upon start-up [NEEDINFO]
Openoffice.org Writer Crashes X upon start-up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 01:45 EDT by William Emmanuel S. Yu
Modified: 2010-06-28 09:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:19:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (wyu)


Attachments (Terms of Use)
This is the current X logs where ooffice writer crashes (54.14 KB, text/plain)
2009-06-27 01:45 EDT, William Emmanuel S. Yu
no flags Details
This is the logs of the last working X session (15.15 KB, text/plain)
2009-06-27 01:45 EDT, William Emmanuel S. Yu
no flags Details
nothing special about mine, just default config (126.07 KB, text/plain)
2009-06-27 07:18 EDT, Caolan McNamara
no flags Details
strace log after running just swriter (1.18 MB, text/plain)
2009-06-27 20:27 EDT, William Emmanuel S. Yu
no flags Details

  None (edit)
Description William Emmanuel S. Yu 2009-06-27 01:45:02 EDT
Created attachment 349628 [details]
This is the current X logs where ooffice writer crashes

Description of problem:

Upon loading Openoffice.org 3.1 writer in Fedora 11. It crashes the entire X windows sub-system. I have a Dell 420 with a fresh install of Fedora 11 and Openoffice.org writer starts up properly. After a 'yum update', the Writer crashes on start-up. Only Writer. This does not apply to Calc and Impress. I looked into the Xorg logs and found out that this only occurred after X.org loads RANDR by default. But I can't find a way to disable RANDR.

Version-Release number of selected component (if applicable):

Laptop: Dell Latitude D420
VGA Card: 00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

kernel-2.6.29.5-191.fc11.i586
openoffice.org-writer-3.1.0-11.3.fc11.i586
xorg-x11-xkb-utils-7.2-8.fc11.i586
xorg-x11-drv-sisusb-0.9.1-2.fc11.i586
xorg-x11-drv-trident-1.3.1-2.fc11.i586
xorg-x11-drv-evdev-2.2.1-3.fc11.i586
xorg-x11-drv-fpit-1.3.0-2.fc11.i586
xorg-x11-drv-s3virge-1.10.2-2.fc11.i586
xorg-x11-drv-apm-1.2.1-2.fc11.i586
xorg-x11-drv-geode-2.11.2-1.fc11.i586
xorg-x11-drv-mutouch-1.2.1-2.fc11.i586
xorg-x11-drv-mga-1.4.10-1.fc11.i586
xorg-x11-drv-vmware-10.16.0-3.fc11.i586
xorg-x11-drv-dummy-0.3.1-2.fc11.i586
xorg-x11-utils-7.4-4.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
xorg-x11-drv-hyperpen-1.3.0-1.fc11.i586
xorg-x11-drv-v4l-0.2.0-2.fc11.i586
xorg-x11-drv-tdfx-1.4.1-2.fc11.i586
xorg-x11-proto-devel-7.4-14.fc11.noarch
xorg-x11-drv-fbdev-0.4.0-4.fc11.i586
xorg-x11-drv-aiptek-1.2.0-1.fc11.i586
xorg-x11-drivers-7.3-11.fc11.i586
xorg-x11-drv-void-1.2.0-1.fc11.i586
xorg-x11-apps-7.3-8.fc11.i586
xorg-x11-server-utils-7.4-7.fc11.i586
xorg-x11-drv-rendition-4.2.1-2.fc11.i586
xorg-x11-drv-cirrus-1.2.0-6.fc11.i586
xorg-x11-drv-i740-1.2.0-3.fc11.i586
xorg-x11-drv-glint-1.2.2-2.fc11.i586
xorg-x11-drv-mouse-1.4.0-2.fc11.i586
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586
xorg-x11-drv-nouveau-0.0.12-36.20090514git9656762.fc11.i586
xorg-x11-drv-ast-0.87.0-2.fc11.i586
xorg-x11-drv-penmount-1.4.0-2.fc11.i586
xorg-x11-server-common-1.6.1.901-1.fc11.i586
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-drv-r128-6.8.0-3.fc11.i586
xorg-x11-drv-mach64-6.8.0-3.fc11.i586
xorg-x11-drv-acecad-1.3.0-1.fc11.i586
xorg-x11-drv-vesa-2.2.0-3.fc11.i586
xorg-x11-drv-vmmouse-12.6.4-1.fc11.i586
xorg-x11-font-utils-7.2-7.fc11.i586
xorg-x11-drv-openchrome-0.2.903-10.fc11.i586
xorg-x11-drv-sis-0.10.1-2.fc11.i586
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-drv-savage-2.2.1-1.fc11.i586
xorg-x11-drv-intel-2.7.0-7.fc11.i586
xorg-x11-drv-voodoo-1.2.1-2.fc11.i586
xorg-x11-drv-neomagic-1.2.2-2.fc11.i586
xorg-x11-drv-synaptics-1.1.0-7.fc11.i586
xorg-x11-drv-i128-1.3.0-2.fc11.i586
xorg-x11-xinit-1.0.9-7.fc11.i586
xorg-x11-xauth-1.0.2-6.fc11.i586
xorg-x11-drv-keyboard-1.3.2-3.fc11.i586
xorg-x11-drv-nv-2.1.13-1.fc11.i586
xorg-x11-drv-elographics-1.2.3-2.fc11.i586

How reproducible:

This problem occurs every time I start openoffice.org writer. 

Steps to Reproduce:
1. Install Fedora 11 on a Dell D420
2. Do a 'yum update'
3. Start openoffice.org writer
  
Actual results:

After running "ooffice -writer &>output.log". The only line in output.log is "X IO Error".

Expected results:

ooffice should not crash.

Additional info:

After doing a bit of reading people (in the Ubuntu camp) suggest disabling RANDR, I can't seem to find a way to do that. This is documented in Bug 281651 but it does not have a resolution.
Comment 1 William Emmanuel S. Yu 2009-06-27 01:45:48 EDT
Created attachment 349629 [details]
This is the logs of the last working X session
Comment 2 Caolan McNamara 2009-06-27 04:37:48 EDT
This is an X crash rather than an OOo crash, so moving there.

As an side though, I appear to have the same intel chipset as in this report, and OOo definitely doesn'y take out the session for me.

[caolan@Vain ~]$ lspci|grep 945GM
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
Comment 3 William Emmanuel S. Yu 2009-06-27 05:39:10 EDT
Sounds promising. Are you using FC11 with all the latest updates? 

Can you look at your Xorg.0.log and see if RANDR is loaded? That is the major difference between my working and non-working systems.
Comment 4 Caolan McNamara 2009-06-27 07:18:33 EDT
Created attachment 349653 [details]
nothing special about mine, just default config
Comment 5 William Emmanuel S. Yu 2009-06-27 08:38:53 EDT
Major differences:
- I have my /home encrypted using LUKS
- I have SELinux on
- We have different vendor specific blocks with errors

Mine:
> (WW) intel(0): Unknown vendor-specific block f
> (II) intel(0):  FF744^C121W1
> (II) intel(0):  .?O^^?<B0><DF><FF>^A^A

Yours:
> (WW) intel(0): Unknown vendor-specific block f
> (II) intel(0):  FF744^C121W1
> (II) intel(0):  .?O^^?<B0><DF><FF>^A^A

Do these things matter?

Btw, only swriter crashes. What does swriter do on start-up that calc and impress don't do?
Comment 6 William Emmanuel S. Yu 2009-06-27 08:59:24 EDT
Sorry your should be:
(WW) intel(0): Unknown vendor-specific block 0
(II) intel(0):  TM111<A1>121EW3D
(II) intel(0):  *9EPp<90><B0><FF>^A^A

Not sure it matters.
Comment 7 William Emmanuel S. Yu 2009-06-27 20:27:18 EDT
Created attachment 349682 [details]
strace log after running just swriter

Here is an strace log I generated using the following command below:

strace /usr/lib/openoffice.org3/program/swriter.bin &> output.org

I can't make heads or tails of it. I also made an additional discovery. Not only does this bug occur when openoffice.org writer is started. This also occurs everytime I click on the File menu option.

Thanks.
Comment 8 Matěj Cepl 2009-06-29 10:53:37 EDT
Just to lift up the backtrace:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c061e]
2: [0x113400]
3: /lib/ld-linux.so.2 [0x9b47ff]
4: /lib/libdl.so.2 [0xb61cc4]
5: /lib/ld-linux.so.2 [0x9ae806]
6: /lib/libdl.so.2 [0xb6202c]
7: /lib/libdl.so.2(dlclose+0x2a) [0xb61cfa]
8: /usr/bin/Xorg(LoaderUnload+0x8f) [0x80a9f1f]
9: /usr/bin/Xorg [0x80aa4a7]
10: /usr/bin/Xorg(xf86DeleteDriver+0x4c) [0x80cd46c]
11: /usr/bin/Xorg(InitOutput+0xf05) [0x80a9855]
12: /usr/bin/Xorg(main+0x1cb) [0x806b92b]
13: /lib/libc.so.6(__libc_start_main+0xe6) [0x9d9a66]
14: /usr/bin/Xorg [0x806afa1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 9 William Emmanuel S. Yu 2009-06-29 14:03:45 EDT
I found a solution. I am not very happy with it as I don't know why it now works. But I re-installed Fedora 11 from scratch and it now works. And yes I have RANDR enabled in my X.org. 

Maybe my FC10 to FC11 upgrade left some hidden Intel driver stuff?
Comment 10 Matěj Cepl 2009-11-05 13:33:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Matěj Cepl 2010-02-26 07:25:04 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 12 Bug Zapper 2010-04-27 11:17:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 09:19:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.